# cwltool.cwlviewer

Visualize a CWL workflow.

## Attributes

`quote_id_if_necessary` |

## Classes

`CWLViewer` | Produce similar images with the https://github.com/common-workflow-language/cwlviewer.

## Module Contents

cwltool.cwlviewer.quote_id_if_necessary

class cwltool.cwlviewer.CWLViewer(rdf_description)

  Produce similar images with the https://github.com/common-workflow-language/cwlviewer.

  Parameters:

    rdf_description (str)

  get_dot_graph()

    Get the dot graph object.

    Return type:

      pydot.Graph

  dot()

    Get the graph as graphviz.

    Return type:

      str